---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1Gui.html">Gui</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tgui::Gui Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Gui.html#aa5148777e159aed6d08dca0602cf79da">add</a>(const Widget::Ptr &amp;widgetPtr, const sf::String &amp;widgetName=&quot;&quot;)</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a0a37251fe94d7ac1c14454c9b974b10c">draw</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Gui.html#aae7143950d0a28701f52a837a3377686">focusNextWidget</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Gui.html#aca075164dc3b0d376de6759c3a4ba70d">focusPreviousWidget</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a7256b8805756720f8ca7105b48e243fb">focusWidget</a>(const Widget::Ptr &amp;widget)</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a81bc7a04400ef54b1610604de7032fbc">get</a>(const sf::String &amp;widgetName, bool recursive=false) const </td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a09adca672824a85fc8d8e39daae23438">get</a>(const sf::String &amp;widgetName, bool recursive=false) const </td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a7cc9222250b244d4f22b431029fb2c3b">getContainer</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a01c60c6456474c790f8178cd9a0a0a14">getFont</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a495d7039a1e13a37e2c6f5965dee8953">getOpacity</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a8c2146e3f595e0b7292e0e73988458cf">getSize</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a3236260f92852e7aec64053cbbe48a5e">getView</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Gui.html#aef2d8ef0c4b04bcc4af83d0a4515dc56">getWidgetName</a>(const Widget::Ptr &amp;widget) const </td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Gui.html#ab8995a6274ed0a09bb8f42a11dc06abd">getWidgetNames</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Gui.html#aa444668dc32aee8e867566feb74729ca">getWidgets</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Gui.html#ac968ab34c19372610c1dfc362d6cbf8d">getWindow</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a50f9bf863bc443a6ae8add6e7a8ec7c9">Gui</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Gui.html#abf97d08aeedabec1fb61a01f87b6fa14">Gui</a>(sf::RenderWindow &amp;window)</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Gui.html#aa555f782ab60f3d521775688f8b23c14">Gui</a>(sf::RenderTarget &amp;window)</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a5ed041b03290df56b6fa965363972f3d">handleEvent</a>(sf::Event event)</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Gui.html#ac1f254ca81fb64140e95164a17f0d6e0">loadWidgetsFromFile</a>(const std::string &amp;filename)</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a89cf1a00c7e8125c81414e1952ea6807">loadWidgetsFromStream</a>(std::stringstream &amp;stream)</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Gui.html#aefa11eac30068c5a795a0a4f6822af7d">remove</a>(const Widget::Ptr &amp;widget)</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Gui.html#afc0e30cd5ccec51b1371ed6caffd5e45">removeAllWidgets</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a6e99d5535db1148727f075046dd08fdb">saveWidgetsToFile</a>(const std::string &amp;filename)</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a63a82c17e2d3e84212071c60ebd5f595">saveWidgetsToStream</a>(std::stringstream &amp;stream)</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a4d523a7652ffa674c0c13ae967dba076">setFont</a>(const Font &amp;font)</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a66acac9b2665c9f8fc2e7824d10deb41">setOpacity</a>(float opacity)</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Gui.html#ac7ed139560029cc70925480927f88080">setView</a>(const sf::View &amp;view)</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a7a4d61aad8239596e2170bc24520ab50">setWidgetName</a>(const Widget::Ptr &amp;widget, const std::string &amp;name)</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a118ec1b31e08afff8515b3bdd68e48f2">setWindow</a>(sf::RenderWindow &amp;window)</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a0d46c749e4265e60e3c39c819dea8892">setWindow</a>(sf::RenderTarget &amp;window)</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Gui.html#acbc84356ca88d3318bc9ef38055f6cc2">uncheckRadioButtons</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Gui.html#a903b71fdd0164c243b2dd6878a623f63">unfocusWidgets</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Gui.html">tgui::Gui</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:43 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
